ComposableInputFormat (Hadoop 0.20.2-cdh3u5 API)
Date: 2012-10-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.join
Interface ComposableInputFormat<K extends WritableComparable,V extends Writable>

All Superinterfaces:
  InputFormat<K,V>

All Known Implementing Classes:
  CompositeInputFormat, Parser.Node

    public interface ComposableInputFormat<K extends WritableComparable,V extends Writable>

extends InputFormat<K,V>

Refinement of InputFormat requiring implementors to provide ComposableRecordReader instead of RecordReader.

Method Summary
`ComposableRecordReader<K,V>` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Get the `RecordReader` for the given `InputSplit`.

Methods inherited from interface org.apache.hadoop.mapred.InputFormat
`getSplits`

Method Detail

### getRecordReader

    ComposableRecordReader<K,V> getRecordReader(InputSplit split,
                                                JobConf job,
                                                Reporter reporter)
                                                                                            throws IOException

  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<K extends WritableComparable,V extends Writable>`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation